Mga tagapangasiwa ng abiso
GET https://digily.link/api/notification-handlers/
curl --request GET \
--url 'https://digily.link/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Mga Parameter | Mga detalye | Paglalarawan |
|---|---|---|
| search | Opsyonal String | Ang string ng paghahanap. |
| search_by | Opsyonal String | Sa anong field ka naghahanap. Ang mga pinahihintulutang value ay: name. |
| is_enabled | Opsyonal Boolean | |
| type | Opsyonal String | Sa anong field ka naghahanap. Ang mga pinahihintulutang value ay: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification , push_subscriber_id. |
| order_by | Opsyonal String | Kung aling field ang gagamitin para ayusin ang mga resulta. Ang mga pinapahintulutang value ay: notification_handler_id , datetime , last_datetime , name. |
| order_type | Opsyonal String | Ang pagkakaayos ng mga resulta. Ang mga pinahihintulutang halaga ay: ASC para sa pataas na pagkakaayos, at DESC para sa pababang pagkakaayos. |
| search | Opsyonal String | Ang string ng paghahanap. |
| search_by | Opsyonal String | Sa anong field ka naghahanap. Ang mga pinahihintulutang value ay: name. |
| is_enabled | Opsyonal Boolean | |
| type | Opsyonal String | Sa anong field ka naghahanap. Ang mga pinahihintulutang value ay: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification , push_subscriber_id. |
| order_by | Opsyonal String | Kung aling field ang gagamitin para ayusin ang mga resulta. Ang mga pinapahintulutang value ay: notification_handler_id , datetime , last_datetime , name. |
| order_type | Opsyonal String | Ang pagkakaayos ng mga resulta. Ang mga pinahihintulutang halaga ay: ASC para sa pataas na pagkakaayos, at DESC para sa pababang pagkakaayos. |
| page | Opsyonal Integer | Ang numero ng pahina na gusto mong pagkunan ng mga resulta. Nagde-default sa 1. |
| results_per_page | Opsyonal Integer | Ilang resulta ang gusto mo sa bawat pahina. Ang mga pinapayagang halaga ay: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Ang default ay 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-20 23:17:27",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://digily.link/api/notification-handlers?page=1",
"last": "https://digily.link/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://digily.link/api/notification-handlers?page=1"
}
}
GET https://digily.link/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://digily.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-20 23:17:27",
}
}
POST https://digily.link/api/notification-handlers
| Mga Parameter | Mga detalye | Paglalarawan |
|---|---|---|
| name | Kinakailangan String | - |
| type | Kinakailangan String | Mga pinapayagang halaga: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification , push_subscriber_id |
| Opsyonal String | Magagamit kapag: type = email Email | |
| webhook | Opsyonal String | Magagamit kapag: type = webhook URL ng Webhook |
| slack | Opsyonal String | Magagamit kapag: type = slack URL ng Slack webhook |
| discord | Opsyonal String | Magagamit kapag: type = discord URL ng Discord webhook |
| telegram | Opsyonal String | Magagamit kapag: type = telegram Token ng Telegram API |
| telegram_chat_id | Opsyonal String | Magagamit kapag: type = telegram Telegram Chat ID |
| microsoft_teams | Opsyonal String | Magagamit kapag: type = microsoft_teams URL ng webhook ng Microsoft Teams |
| push_subscriber_id | Opsyonal String | Magagamit kapag: type = push_subscriber_id Itulak ang subscriber |
curl --request POST \
--url 'https://digily.link/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://digily.link/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://digily.link/api/notification-handlers/{notification_handler_id}
| Mga Parameter | Mga detalye | Paglalarawan |
|---|---|---|
| name | Opsyonal String | - |
| type | Opsyonal String | Mga pinapayagang halaga: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification , push_subscriber_id |
| Opsyonal String | Magagamit kapag: type = email Email | |
| webhook | Opsyonal String | Magagamit kapag: type = webhook URL ng Webhook |
| slack | Opsyonal String | Magagamit kapag: type = slack URL ng Slack webhook |
| discord | Opsyonal String | Magagamit kapag: type = discord URL ng Discord webhook |
| telegram | Opsyonal String | Magagamit kapag: type = telegram Token ng Telegram API |
| telegram_chat_id | Opsyonal String | Magagamit kapag: type = telegram Telegram Chat ID |
| microsoft_teams | Opsyonal String | Magagamit kapag: type = microsoft_teams URL ng webhook ng Microsoft Teams |
| push_subscriber_id | Opsyonal String | Magagamit kapag: type = push_subscriber_id Itulak ang subscriber |
| is_enabled | Opsyonal Boolean | - |
curl --request POST \
--url 'https://digily.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://digily.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://digily.link/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://digily.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \